%define shortname indi

Name: indilib
Version: 0.6
Release: alt3

Group: Development/C
Summary: Library to control astronomical devices
Url: http://indi.sourceforge.net/
License: LGPLv2+

Provides: %shortname = %version-%release
Conflicts: kde4edu-kstars < 4.1.60
Conflicts: kdeedu-kstars <= 3.5.10-alt2

Source0: http://nchc.dl.sourceforge.net/sourceforge/indi/lib%{shortname}0_%version.tar.gz
Patch1: indilib-0.5-gcc-4.3.patch
# MDK
Patch100: libindi-0.6-libsuffix.patch

# Automatically added by buildreq on Thu Jan 22 2009 (-bi)
#BuildRequires: cmake gcc-c++ libcfitsio-devel libnova-devel libusb-devel zlib-devel
BuildRequires: cmake gcc-c++ libcfitsio-devel libnova-devel libusb-devel zlib-devel
BuildRequires: kde-common-devel

%description
INDI is an instrument neutral distributed interface control protocol
that aims to provide backend driver support and automation for a wide
range of Astronomical devices (telescopes, focusers, CCDs..etc).

%package -n libsbigudrv
Summary: Librar file for INDI
Group: Development/C
%description -n libsbigudrv
  INDI is an instrument neutral distributed interface control protocol
that aims to provide backend driver support and automation for a wide
range of Astronomical devices (telescopes, focusers, CCDs..etc).
  This package contains library files of indilib.

%package -n lib%shortname
Group: System/Libraries
Summary: Library to control astronomical devices
%description -n lib%shortname
INDI is an instrument neutral distributed interface control protocol
that aims to provide backend driver support and automation for a wide
range of Astronomical devices (telescopes, focusers, CCDs..etc).

%package -n lib%shortname-devel
Summary: INDI devellopment files
Group: Development/C
Requires: lib%shortname = %version-%release
Provides: %shortname-devel = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: %name-devel < %version-%release
%description -n lib%shortname-devel
  INDI is an instrument neutral distributed interface control protocol
that aims to provide backend driver support and automation for a wide
range of Astronomical devices (telescopes, focusers, CCDs..etc).
  This package contains files need to build applications using indilib.

%prep
%setup -q -n lib%{shortname}0-%version
#%patch1 -p0
%patch100 -p0

%build
%K4build

%install
%K4install
#mkdir -p %buildroot%_includedir
#cp src/*.h %buildroot%_includedir


%files
%doc ChangeLog NEWS README TODO
%_bindir/*
%_datadir/%shortname

%files -n lib%shortname
%doc ChangeLog NEWS README TODO
%_libdir/*.so.*

#%files -n libsbigudrv
#%_libdir/libsbigudrv.so.*

%files -n lib%shortname-devel
%doc ChangeLog README.*
#%doc src/examples
%_libdir/*.so
%_libdir/*.a
%_includedir/libindi/

%changelog
* Mon Feb 16 2009 Sergey V Turchin <zerg at altlinux dot org> 0.6-alt3
- remove ExclusiveArch from specfile

* Thu Jan 29 2009 Sergey V Turchin <zerg at altlinux dot org> 0.6-alt2
- fix conflicts

* Thu Jan 22 2009 Sergey V Turchin <zerg at altlinux dot org> 0.6-alt1
- new version

* Thu Oct 16 2008 Sergey V Turchin <zerg at altlinux dot org> 0.5-alt1
- initial specfile

